GET
/api/v1/bookings
Auth: Bearer token
List Bookings
Returns paginated booking records for the merchant.
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | No | Page number to retrieve. |
| per_page | number | No | Records per page. |
| status | string | No | Filter by booking status. |
Example response
<?php
return [
'success' => true,
'data' => [
[
'booking_id' => 'bk_909',
'shipment_id' => 'shp_101',
'status' => 'assigned',
'carrier_code' => 'fastship',
'booked_at' => '2026-02-17T11:01:00Z',
'quote_option' => [
'quote_option_id' => 'qopt_001',
'carrier_code' => 'fastship',
'service_code' => 'next_day',
'currency' => 'ZAR',
'amount' => '225.00',
'tax_amount' => '33.75',
'total_amount' => '258.75',
'eta_from' => '2026-02-18T08:00:00Z',
'eta_to' => '2026-02-18T17:00:00Z',
'rules' => [
'max_weight_kg' => 25
]
]
]
],
'meta' => [
'current_page' => 1,
'last_page' => 1,
'per_page' => 20,
'total' => 18
]
];
Request examples
curl -X GET \
"https://api.spaces.za.com/api/v1/bookings" \
-H "Authorization: Bearer <token>" \\